# Class CheckConnectionRequest

#### Hierarchy

- unknown
  - CheckConnectionRequest

- Defined in src/protobuf/grpc_pb.d.ts:992
- Defined in src/protobuf/grpc_pb.d.ts:1001

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CheckConnectionRequest(): CheckConnectionRequest

- #### Returns CheckConnectionRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:993

### toObject

- toObject(includeInstance?: boolean): CheckConnectionRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CheckConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:994

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CheckConnectionRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CheckConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:997

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CheckConnectionRequest, reader: BinaryReader): CheckConnectionRequest

- #### Parameters

  - ##### message: CheckConnectionRequest

  - ##### reader: BinaryReader

  #### Returns CheckConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:998

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CheckConnectionRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CheckConnectionRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:996

### `Static` toObject

- toObject(includeInstance: boolean, msg: CheckConnectionRequest): CheckConnectionRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CheckConnectionRequest

  #### Returns CheckConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:995

Generated using TypeDoc